List import jobs
curl --request GET \
--url https://inboxapp.com/api/v1/campaigns/{campaignId}/import-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://inboxapp.com/api/v1/campaigns/{campaignId}/import-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://inboxapp.com/api/v1/campaigns/{campaignId}/import-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "l44e15irdq4db30i77cgphhx",
"type": "csv",
"status": "running",
"totalCount": 1500,
"processedCount": 750,
"addedCount": 700,
"skippedCount": 45,
"failedCount": 5,
"error": "Rate limit exceeded",
"createdAt": "2025-01-15T10:30:00.000Z",
"updatedAt": "2025-01-16T08:00:00.000Z",
"completedAt": "2025-01-16T08:05:00.000Z"
}
],
"nextCursor": "<string>"
}Campaigns
List import jobs
List import jobs for a campaign with cursor-based pagination. Sorted by creation date, newest first.
GET
/
campaigns
/
{campaignId}
/
import-jobs
List import jobs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the campaign.
Pattern:
^[0-9a-z]+$Query Parameters
Filter by one or more job statuses. Omit to return jobs in all statuses.
Available options:
queued, starting, running, paused, completed, failed, canceled Example:
["running", "queued"]
Pagination cursor. Omit to start from the beginning.
Maximum number of import jobs to return per page. Defaults to 50, maximum 100.
Required range:
1 <= x <= 100Example:
50
Was this page helpful?